<?php namespace Anomaly\ContactPlugin\Form\Command;

use Anomaly\Streams\Platform\Ui\Form\FormBuilder;


/**
 * Class GetMessageView
 *
 * @link          http://anomaly.is/streams-platform
 * @author        AnomalyLabs, Inc. <hello@anomaly.is>
 * @author        Ryan Thompson <ryan@anomaly.is>
 */
class GetMessageView
{

    /**
     * The form builder.
     *
     * @var FormBuilder
     */
    protected $builder;

    /**
     * Create a new GetMessageView instance.
     *
     * @param FormBuilder $builder
     */
    public function __construct(FormBuilder $builder)
    {
        $this->builder = $builder;
    }

    /**
     * Handle the command.
     *
     * @return string
     */
    public function handle()
    {
        return $this->builder->getFormOption('message_view', 'anomaly.plugin.contact::email/contact');
    }
}
